/*
 *  Copyright (C) 2008 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_SN_H__
#define __KIBA_SN_H__

G_BEGIN_DECLS

#define KIBA_TYPE_SN           (kiba_sn_get_type ())
#define KIBA_SN(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_SN, KibaSn))
#define KIBA_SN_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_SN,  KibaSnClass))
#define KIBA_IS_SN(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_SN))
#define KIBA_IS_SN_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_SN))
#define KIBA_SN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_SN, KibaSnClass))

typedef struct _KibaSn KibaSn;
typedef struct _KibaSnClass KibaSnClass;

KibaSn* kiba_sn_get (void);

void kiba_sn_launch (const char *command,
                     GObject *object);

G_END_DECLS

#endif
